#
# spec file for package python-odorik
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-odorik
Version:        0.5
Release:        5.1
Summary:        Python module for Odorik API
License:        GPL-3.0-or-later
Group:          Development/Languages/Python
URL:            http://cihar.com/software/odorik/
Source:         https://files.pythonhosted.org/packages/source/o/odorik/odorik-%{version}.tar.bz2
BuildRequires:  %{python_module Sphinx}
BuildRequires:  %{python_module httpretty}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module python-dateutil}
BuildRequires:  %{python_module pyxdg}
BuildRequires:  fdupes
BuildRequires:  python
BuildRequires:  python-rpm-macros
Requires:       python-python-dateutil
Requires:       python-xdg
BuildArch:      noarch
%python_subpackages

%description
Python module to work with Odorik API.

%prep
%setup -q -n odorik-%{version}

%build
%python_build
make %{?_smp_mflags} -C docs man

%install
%python_install
install -d %{buildroot}%{_mandir}/man1
install -m 644 docs/_build/man/odorik.1 %{buildroot}%{_mandir}/man1
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand py.test-%{$python_version} odorik

%files %{python_files}
%license LICENSE
%doc NEWS.rst README.rst
%{python_sitelib}/*
%python3_only %{_mandir}/man1/*
%python3_only %{_bindir}/*

%changelog
* Wed Aug 29 2018 tchvatal@suse.com
- Fix build on 42.3 by calling pytest properly and adding dependency
  on ssl module from python2 main package
* Tue May 22 2018 mcepl@suse.com
- clean SPEC file
- binaries and manpages are only in python3- package
- tests are run for both versions of Python
* Thu Aug 24 2017 jmatejek@suse.com
- singlespec auto-conversion
* Fri Feb 26 2016 tbechtold@suse.com
- Require python-python-dateutil. package was renamed
* Mon Jul 13 2015 mcihar@suse.cz
- Update to 0.5:
  * Documentation translated to Czech language.
  * More detailed summaries for calls and messages.
  * Added options for filtering calls by status and direction.
* Thu May 21 2015 mcihar@suse.cz
- Update to 0.4:
  * Adjustable date periods for commands.
  * Add support for listing calls.
  * Add support for listing SMS.
  * Add support for using names for phone numbers and lines.
  * Add summary command to print short overview.
* Mon May 18 2015 mcihar@suse.cz
- Update to 0.3:
  * Added support for listing lines information.
  * Added support for listing data usage for all lines on current account.
  * Documentation improvements.
  * Added html output to the program.
  * Added support for json and csv output.
  * Improved command line support for API calls.
  * Command line parameters can now override config file.
  * Added support for initiating callback.
- Update home page
* Fri May 15 2015 mcihar@suse.cz
- Initial packaging.
